Skip to main content
GET
/
library
/
{libraryId}
/
collections
/
{collectionId}
Get Collection
curl --request GET \
  --url https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId} \
  --header 'AccessKey: <api-key>'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId}"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "videoLibraryId": 123,
  "guid": "<string>",
  "name": "<string>",
  "videoCount": 123,
  "totalSize": 123,
  "previewVideoIds": "<string>",
  "previewImageUrls": [
    "<string>"
  ]
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required
collectionId
string
required

Query Parameters

includeThumbnails
boolean
default:false

Response

The details of the requested collection

videoLibraryId
integer<int64>

The video library ID that contains the collection

guid
string | null

The unique ID of the collection

name
string | null

The name of the collection

videoCount
integer<int64>

The number of videos that the collection contains

totalSize
integer<int64>

The total storage size of the collection

previewVideoIds
string | null

The IDs of videos to be used as preview icons

previewImageUrls
string[] | null

The URLs of preview images of videos in the collection

Last modified on July 9, 2026